org.hibernate.search.annotations

## Enum Index

- java.lang.Object
- - java.lang.Enum<Index>
  - - org.hibernate.search.annotations.Index

- All Implemented Interfaces:
    Serializable, Comparable<Index>

      public enum Index
      extends Enum<Index>

  Defines how an `Field` should be indexed.
  Author:
    Emmanuel Bernard, Hardy Ferentschik

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO` Do not index the field value.
    `YES` Index the field value.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Index` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Index[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YES

          public static final Index YES

      Index the field value.

    - #### NO

          public static final Index NO

      Do not index the field value. This field can thus not be searched, but one can still access its contents provided it is `stored`.

  - ### Method Detail

    - #### values

          public static Index[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Index c : Index.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Index valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved